# \_getDT

Returns Purchase Orders details

### Parameters

#### dateFrom

The date to retrieve purchase orders details from in format YYYY/MM/DD

#### dateTo

The date to retrieve purchase orders details to in format YYYY/MM/DD

#### start

where to start from e.g, by default, page 2 should be set to 10

#### length

number of results

#### order

order to display the results in, asc or desc.

#### draw

### Example

```
FM_api('PurchaseOrders_getDT', ['dateFrom' => '2018-01-01', 'dateTo' => '2019-01-02', 'start' => '0','order' => '', 'draw' => '1', 'length' => '10'])
```

#### On Success

```
{"draw":1,"recordsTotal":"17","recordsFiltered":"4","data":[["4","24","Supplier 1","2018-10-04 09:46:20",null,"0.0000","0",null,"0","4","0","0",""],["6","",null,"2018-10-04 09:48:02",null,"0.0000","0",null,"0","-1","0","0",""],["7","",null,"2018-10-04 09:48:27",null,"0.0000","0",null,"0","-1","0","0",""],["8","",null,"2018-10-04 09:49:02",null,"0.0000","0",null,"0","-1","0","0",""],["11","test","Supplier 1","2018-11-05 10:12:35","2018-11-06 10:27:36","0.0000","0","2018-11-05 11:03:43","0","4","2","1",""],[""...
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/purchaseorders/_getdt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
